<%@ LANGUAGE = JScript %>
<%

  // Read the query parameters from the URL
  var family = Request.QueryString("tree")
  var indi = Request.QueryString("id")

  // Set the source and style sheet locations 
  var sourceFile = Server.MapPath(family & ".xml");
  var styleFile = Server.MapPath("ged-asp.xsl");
  
  // Load the XML 
  var source = Server.CreateObject("MSXML2.DOMDocument");
  source.async = false;
  source.load(sourceFile);
  
  // Load the XSLT
  var style = Server.CreateObject("MSXML2.DOMDocument");
  style.async = false;
  style.load(styleFile);

  // prepare the transformation
  var transformer = Server.CreateObject("MSXML2.XSLTemplate");
  transformer.stylesheet = style.documentElement;

  var xslproc = transformer.createProcessor();
  xslproc.input = source;

  // set parameters for the transformation  
  xslproc.addParameter("id", indi, "");
  xslproc.addParameter("tree", family, "");
  
  // run the transformation
  xslproc.transform();
  Response.Write(xslproc.output);

%>
