<xsl:transform
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 version="1.0"
>

<xsl:output method="xml" indent="yes"/>

<xsl:template match="*">
    <xsl:copy>
        <xsl:for-each select="@*">
            <xsl:copy/>
        </xsl:for-each>
        <xsl:apply-templates/>
    </xsl:copy> 
</xsl:template>

<xsl:template match="NAME/text()">

    <xsl:variable name="prefix" select="substring-before(.,'/')"/>
    <xsl:variable name="rest" select="substring-after(.,'/')"/>
    <xsl:variable name="surname" select="substring-before($rest,'/')"/>
    <xsl:variable name="suffix" select="substring-after($rest,'/')"/>

    <xsl:value-of select="$prefix"/> 
    <xsl:element name="S">
        <xsl:value-of select="$surname"/>
    </xsl:element>
    <xsl:value-of select="$suffix"/>
</xsl:template>

<xsl:template match="CONT">
    <BR/><xsl:text>
</xsl:text>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="CONC">
    <xsl:apply-templates/>
</xsl:template>

</xsl:transform>	
